package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

/**
 * @Author: sunxiang
 * @Date: 2018/7/11 14:33
 * @Description:
 **/
public class DicLeaveMessageState {

    public static final String DONE="已处理";// 已处理
    public static final String WATING="未处理";//未处理

    private static DicLeaveMessageState instance=null;
    private static LinkedHashMap<String,String> dicMap=null;
    private DicLeaveMessageState(){
        dicMap=new LinkedHashMap<>();
        dicMap.put(DONE,DONE);
        dicMap.put(WATING,WATING);
    }
    public static DicLeaveMessageState getInstance(){
        if(instance==null){
            instance=new DicLeaveMessageState();
        }
        return instance;
    }
    public LinkedHashMap<String,String> getDicMap(){
        return (LinkedHashMap<String,String>)dicMap.clone();
    }
}
